sf/ggplot version hell....

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

sf/ggplot version hell....

peter van horssen-2
Hi all,

I am trying to plot a simple feature object with ggplot but i can't find
the proper ggplot version.
I am following : http://ggplot2.tidyverse.org/reference/ggsf.html

running R 3.4.3 fro win10 x64
I tried the newest version from  cran (ggplot 2.2.1)  but  keep ending
up with 'could not find function "geom_sf"'

somehow I seem to miss  something

can somebody point me to (information with) the versions of sf and
ggplot which do work ?

thanks in advance

Peter van Horssen

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: sf/ggplot version hell....

Ege Rubak
The usual thing I've seen (e.g. in a workshop by Edzer Pebesma) is "You
need the development version of ggplot2...". Of course that can't be
true forever, but maybe it still is.
If you have either the `devtools` or `remotes` package installed you can
just install the GitHub version of `ggplot2` directly by loading one of
those packages and typing:
   install.github("tidyverse/ggplot2")

Cheers,
Ege


On 02/03/2018 10:16 PM, Peter van Horssen wrote:

> Hi all,
>
> I am trying to plot a simple feature object with ggplot but i can't find
> the proper ggplot version.
> I am following : http://ggplot2.tidyverse.org/reference/ggsf.html
>
> running R 3.4.3 fro win10 x64
> I tried the newest version from  cran (ggplot 2.2.1)  but  keep ending
> up with 'could not find function "geom_sf"'
>
> somehow I seem to miss  something
>
> can somebody point me to (information with) the versions of sf and
> ggplot which do work ?
>
> thanks in advance
>
> Peter van Horssen
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: sf/ggplot version hell....

edzer


On 02/03/2018 01:33 PM, Ege Rubak wrote:
> The usual thing I've seen (e.g. in a workshop by Edzer Pebesma) is "You
> need the development version of ggplot2...". Of course that can't be
> true forever, but maybe it still is.
> If you have either the `devtools` or `remotes` package installed you can
> just install the GitHub version of `ggplot2` directly by loading one of
> those packages and typing:
>   install.github("tidyverse/ggplot2")

For both packages it is

install_github("tidyverse/ggplot2")

This is one the more frequently asked question here, at rstudio::conf,
too, I noticed; Hadley seems to be aware, but is also pretty much
involved in the conference right now.

Regards,

>
> Cheers,
> Ege
>
>
> On 02/03/2018 10:16 PM, Peter van Horssen wrote:
>> Hi all,
>>
>> I am trying to plot a simple feature object with ggplot but i can't
>> find the proper ggplot version.
>> I am following : http://ggplot2.tidyverse.org/reference/ggsf.html
>>
>> running R 3.4.3 fro win10 x64
>> I tried the newest version from  cran (ggplot 2.2.1)  but  keep ending
>> up with 'could not find function "geom_sf"'
>>
>> somehow I seem to miss  something
>>
>> can somebody point me to (information with) the versions of sf and
>> ggplot which do work ?
>>
>> thanks in advance
>>
>> Peter van Horssen
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
> _______________________________________________
> R-sig-Geo mailing list
> [hidden email]
> https://stat.ethz.ch/mailman/listinfo/r-sig-geo

--
Edzer Pebesma
Institute for Geoinformatics
Heisenbergstrasse 2, 48151 Muenster, Germany
Phone: +49 251 8333081

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: sf/ggplot version hell....

Mathieu Basille-3
Hey Edzer,

Just to be clear, do you mean master branches of both 'ggplot2' and 'sf' on
GitHub? I.e.:

  devtools::install_github("tidyverse/ggplot2")

AND

  devtools::install_github("r-spatial/sf")

or the CRAN version of 'sf' is enough?

Thanks!
Mathieu.


On 02/03/2018 05:48 PM, Edzer Pebesma wrote:

>
>
> On 02/03/2018 01:33 PM, Ege Rubak wrote:
>> The usual thing I've seen (e.g. in a workshop by Edzer Pebesma) is "You
>> need the development version of ggplot2...". Of course that can't be
>> true forever, but maybe it still is.
>> If you have either the `devtools` or `remotes` package installed you can
>> just install the GitHub version of `ggplot2` directly by loading one of
>> those packages and typing:
>>   install.github("tidyverse/ggplot2")
>
> For both packages it is
>
> install_github("tidyverse/ggplot2")
>
> This is one the more frequently asked question here, at rstudio::conf,
> too, I noticed; Hadley seems to be aware, but is also pretty much
> involved in the conference right now.
>
> Regards,
>
>>
>> Cheers,
>> Ege
>>
>>
>> On 02/03/2018 10:16 PM, Peter van Horssen wrote:
>>> Hi all,
>>>
>>> I am trying to plot a simple feature object with ggplot but i can't
>>> find the proper ggplot version.
>>> I am following : https://urldefense.proofpoint.com/v2/url?u=http-3A__ggplot2.tidyverse.org_reference_ggsf.html&d=DwIGaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=wg6hkvvamahniIw3_XPWdQ&m=KhG0ojJPpP0hLe7njxYz-ieSx2PGqkf67v1Hu_uc0Rk&s=TBV-dhTy0OKTtCyCuedpyCODT68ClMF28B99edUKTJ4&e=
>>>
>>> running R 3.4.3 fro win10 x64
>>> I tried the newest version from  cran (ggplot 2.2.1)  but  keep ending
>>> up with 'could not find function "geom_sf"'
>>>
>>> somehow I seem to miss  something
>>>
>>> can somebody point me to (information with) the versions of sf and
>>> ggplot which do work ?
>>>
>>> thanks in advance
>>>
>>> Peter van Horssen
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__stat.ethz.ch_mailman_listinfo_r-2Dsig-2Dgeo&d=DwIGaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=wg6hkvvamahniIw3_XPWdQ&m=KhG0ojJPpP0hLe7njxYz-ieSx2PGqkf67v1Hu_uc0Rk&s=c0O8Xi-7tbU4jEZcQ6xEUVL_ynmHnfSygDJBviQ-CWg&e=
>>
>> _______________________________________________
>> R-sig-Geo mailing list
>> [hidden email]
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__stat.ethz.ch_mailman_listinfo_r-2Dsig-2Dgeo&d=DwIGaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=wg6hkvvamahniIw3_XPWdQ&m=KhG0ojJPpP0hLe7njxYz-ieSx2PGqkf67v1Hu_uc0Rk&s=c0O8Xi-7tbU4jEZcQ6xEUVL_ynmHnfSygDJBviQ-CWg&e=
>

--

Mathieu Basille

[hidden email] | https://urldefense.proofpoint.com/v2/url?u=https-3A__mablab.org_&d=DwIDaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=OnBRYbn-fPC7OCR-yjUnqiUnj2gfCrtQn15ueJyGfIM&m=jRgshgeAhJHMTI24bZN39buPxOX5G2mr1JZAzeUMiNU&s=H0V_g0CDkrF8MY9L8u9jW-0qWEv9paKv4luxfKNYrWY&e=
+1 954-577-6314 | University of Florida FLREC

  « Le tout est de tout dire, et je manque de mots
  Et je manque de temps, et je manque d'audace. »
  — Paul Éluard

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: sf/ggplot version hell....

edzer


On 02/03/2018 06:10 PM, Mathieu Basille wrote:

> Hey Edzer,
>
> Just to be clear, do you mean master branches of both 'ggplot2' and 'sf' on
> GitHub? I.e.:
>
>   devtools::install_github("tidyverse/ggplot2")
>
> AND
>
>   devtools::install_github("r-spatial/sf")
>
> or the CRAN version of 'sf' is enough?

For sf, the CRAN version is enough.

>
> Thanks!
> Mathieu.
>
>
> On 02/03/2018 05:48 PM, Edzer Pebesma wrote:
>>
>>
>> On 02/03/2018 01:33 PM, Ege Rubak wrote:
>>> The usual thing I've seen (e.g. in a workshop by Edzer Pebesma) is "You
>>> need the development version of ggplot2...". Of course that can't be
>>> true forever, but maybe it still is.
>>> If you have either the `devtools` or `remotes` package installed you can
>>> just install the GitHub version of `ggplot2` directly by loading one of
>>> those packages and typing:
>>>   install.github("tidyverse/ggplot2")
>>
>> For both packages it is
>>
>> install_github("tidyverse/ggplot2")
>>
>> This is one the more frequently asked question here, at rstudio::conf,
>> too, I noticed; Hadley seems to be aware, but is also pretty much
>> involved in the conference right now.
>>
>> Regards,
>>
>>>
>>> Cheers,
>>> Ege
>>>
>>>
>>> On 02/03/2018 10:16 PM, Peter van Horssen wrote:
>>>> Hi all,
>>>>
>>>> I am trying to plot a simple feature object with ggplot but i can't
>>>> find the proper ggplot version.
>>>> I am following : https://urldefense.proofpoint.com/v2/url?u=http-3A__ggplot2.tidyverse.org_reference_ggsf.html&d=DwIGaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=wg6hkvvamahniIw3_XPWdQ&m=KhG0ojJPpP0hLe7njxYz-ieSx2PGqkf67v1Hu_uc0Rk&s=TBV-dhTy0OKTtCyCuedpyCODT68ClMF28B99edUKTJ4&e=
>>>>
>>>> running R 3.4.3 fro win10 x64
>>>> I tried the newest version from  cran (ggplot 2.2.1)  but  keep ending
>>>> up with 'could not find function "geom_sf"'
>>>>
>>>> somehow I seem to miss  something
>>>>
>>>> can somebody point me to (information with) the versions of sf and
>>>> ggplot which do work ?
>>>>
>>>> thanks in advance
>>>>
>>>> Peter van Horssen
>>>>
>>>> _______________________________________________
>>>> R-sig-Geo mailing list
>>>> [hidden email]
>>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__stat.ethz.ch_mailman_listinfo_r-2Dsig-2Dgeo&d=DwIGaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=wg6hkvvamahniIw3_XPWdQ&m=KhG0ojJPpP0hLe7njxYz-ieSx2PGqkf67v1Hu_uc0Rk&s=c0O8Xi-7tbU4jEZcQ6xEUVL_ynmHnfSygDJBviQ-CWg&e=
>>>
>>> _______________________________________________
>>> R-sig-Geo mailing list
>>> [hidden email]
>>> https://urldefense.proofpoint.com/v2/url?u=https-3A__stat.ethz.ch_mailman_listinfo_r-2Dsig-2Dgeo&d=DwIGaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=wg6hkvvamahniIw3_XPWdQ&m=KhG0ojJPpP0hLe7njxYz-ieSx2PGqkf67v1Hu_uc0Rk&s=c0O8Xi-7tbU4jEZcQ6xEUVL_ynmHnfSygDJBviQ-CWg&e=
>>
>

--
Edzer Pebesma
Institute for Geoinformatics
Heisenbergstrasse 2, 48151 Muenster, Germany
Phone: +49 251 8333081

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: sf/ggplot version hell....

Mathieu Basille-3
Thanks Edzer!

Mathieu.


On 02/03/2018 10:07 PM, Edzer Pebesma wrote:

>
>
> On 02/03/2018 06:10 PM, Mathieu Basille wrote:
>> Hey Edzer,
>>
>> Just to be clear, do you mean master branches of both 'ggplot2' and 'sf' on
>> GitHub? I.e.:
>>
>>   devtools::install_github("tidyverse/ggplot2")
>>
>> AND
>>
>>   devtools::install_github("r-spatial/sf")
>>
>> or the CRAN version of 'sf' is enough?
>
> For sf, the CRAN version is enough.
>
>>
>> Thanks!
>> Mathieu.
>>
>>
>> On 02/03/2018 05:48 PM, Edzer Pebesma wrote:
>>>
>>>
>>> On 02/03/2018 01:33 PM, Ege Rubak wrote:
>>>
>>> For both packages it is
>>>
>>> install_github("tidyverse/ggplot2")
>>>
>>> This is one the more frequently asked question here, at rstudio::conf,
>>> too, I noticed; Hadley seems to be aware, but is also pretty much
>>> involved in the conference right now.
>>>
>>> Regards,
>>>
>>>
>>
>

--

Mathieu Basille

[hidden email] | https://urldefense.proofpoint.com/v2/url?u=https-3A__mablab.org_&d=DwIDaQ&c=pZJPUDQ3SB9JplYbifm4nt2lEVG5pWx2KikqINpWlZM&r=OnBRYbn-fPC7OCR-yjUnqiUnj2gfCrtQn15ueJyGfIM&m=zAqn9HhuHDUv0_zCNiZwwnACqH9YxdKqOro06jOQqj0&s=PcB8IIzZsJuUlyqv_zllU05hYqm8TBNwS5MEC3Tijko&e=
+1 954-577-6314 | University of Florida FLREC

  « Le tout est de tout dire, et je manque de mots
  Et je manque de temps, et je manque d'audace. »
  — Paul Éluard

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo